Skip to main content
POST
Core - Duplicate a row
Related guide: Experiments guide. See the Experiments guide for a walkthrough with examples.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

experiment_id
string
required

ID of the experiment.

run_id
string
required

ID of the run.

row_id
string
required

ID of the row to copy.

Body

application/json

The body is of type object.

Response

OK

A row of a run with its cells.

row_id
string

Row ID (ULID).

cells
object[]

Cells of the row, including the derived token metric cells.

status
enum<string>

Execution state. ROW_STATUS_NOT_RUN: never executed. ROW_STATUS_QUEUED: waiting to execute. ROW_STATUS_RUNNING: executing, or one of its cells is running. ROW_STATUS_COMPLETED: all its tasks finished. ROW_STATUS_FAILED: a task failed. ROW_STATUS_CANCELED: canceled.

Available options:
ROW_STATUS_UNSPECIFIED,
ROW_STATUS_NOT_RUN,
ROW_STATUS_QUEUED,
ROW_STATUS_RUNNING,
ROW_STATUS_COMPLETED,
ROW_STATUS_FAILED,
ROW_STATUS_CANCELED
created_at
string<date-time> | null

Null on rows written before timestamps were recorded.

updated_at
string<date-time> | null

Time of the last change to the row. Null on rows written before timestamps were recorded.